#include <avr/io.h>
#include <avr/interrupt.h>

volatile uint8_t count;

int main(void) {
                                    // nastavi presvaler => FCPU/64
    TCCR0B |= (1<<CS01)|(1<<CS00);  // na 1MHz => 1Mhz/256/64 = 61.03515625
    TIMSK |= (1<<TOIE0);            // povoli Overflow Interrupt 
    TCNT0 = 0;                      // inicializuje citac

    DDRB |= (1 << PB2);             // na portu B nastavi 3. bit na vystupni mod

    count = 0;                      // inicializace globalni promenne
    sei();                          // povoli presuseni vyvolane casovacem

    while(1);                       // nekonecna smycka
    return 1;                       // toto nenastane, budme ale slusni
}

/* Toto je obsluzna rutina preruseni casovace TIMER0.
   CPU tuto rutinu samo pusti po preteceni citace */
ISR(TIMER0_OVF_vect) {
   count++;
   if(count == 61) {                // 61 kroku je potreba k casovani ~1 vteriny
      PORTB ^= (1 << PB2);          // invertuju hodnotu tretiho bitu
      count = 0;
   }
}
